/*
 * zaphistory.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __ZAPHISTORY_H
#define __ZAPHISTORY_H

#include <vdr/plugin.h>
#include "channelmonitor.h"

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "History of the last zapped channels";
static const char *MAINMENUENTRY  = "Zaping history";

class cPluginZaphistory : public cPlugin {
private:
  // Add any member variables or functions you may need here.
  cChannelMonitor *channelMonitor;
public:
  cPluginZaphistory(void);
  virtual ~cPluginZaphistory();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Stop(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

#endif
